require "active_model_serializers"
require "serialize_partials_attributes/controller_extensions"
require "serialize_partials_attributes/serializer_extensions"
require "serialize_partials_attributes/configuration"

if defined?(ActionController::API)
  ActionController::API.include SerializePartialsAttributes::ControllerExtensions
end

if defined?(ActiveModel::Serializer)
  ActiveModel::Serializer.prepend SerializePartialsAttributes::SerializerExtensions
end

module SerializePartialsAttributes
  
end