module SerializePartialsAttributes
  module ControllerExtensions
    def render *args, &block
      args[0].merge!(attributes_to_serialize)
      super 
    end
    private 
    def attributes_to_serialize
      {only_attributes: fields_params}
    end
    def fields_params
      if params.has_key?(SerializePartialsAttributes::Configuration.field)
        params[:fields].split(SerializePartialsAttributes::Configuration.split_by)
      end
    end
  end
end