module SerializePartialsAttributes
  module SerializerExtensions
    def attributes(*args)
      object = super
      if has_only_attributes_key?
        object.slice!(*only_attributes)
      end
      object
    end
    def has_only_attributes_key?
      if self.instance_options.has_key?(:only_attributes) && self.instance_options[:only_attributes].present?
        true
      else
        false
      end
    end
    def only_attributes
      self.instance_options[:only_attributes].map { |x| x.to_sym }
    end
  end
end